List of all members
clan::OpenGLTarget Class Reference
clanGL Display

Display target for clanDisplay. More...

`#include <opengl_target.h>`

Inheritance diagram for clan::OpenGLTarget:

## Static Public Member Functions
Attributes
static bool | is_current ()
| Returns true if this display target is the current target. More...
static OpenGLWindowDescription | get_description ()
Operations
static void | enable ()
| Enable this target. More...
static void | set_current ()
| Set this display target to be the current target. More...
static void | set_description (OpenGLWindowDescription &desc)

## Implementation
class | SetupGL_Impl

## Additional Inherited Members
Public Member Functions inherited from clan::DisplayTarget
| DisplayTarget (DisplayTargetProvider *provider)
| Constructs a DisplayTarget. More...
virtual | ~DisplayTarget ()
DisplayTargetProvider * | get_provider ()
| Returns the provider for the display target. More...
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
void | set_current ()
| Set this display target to be the current target. More...

## Detailed Description

Display target for clanDisplay.

The documentation for this class was generated from the following file:

- opengl_target.h